Package tigase.io

# Class SSLContextContainer.Root

java.lang.Object
tigase.io.SSLContextContainerAbstract
tigase.io.SSLContextContainer
tigase.io.SSLContextContainer.Root

All Implemented Interfaces:
  `SSLContextContainerIfc`, `Initializable`, `UnregisterAware`, `Lifecycle`

Enclosing class:
  SSLContextContainer

@Bean(name="rootSslContextContainer", parent=Kernel.class, active=true, exportable=true) public static class SSLContextContainer.Root extends SSLContextContainer implements Initializable, UnregisterAware

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class tigase.io.SSLContextContainer

  `SSLContextContainer.HARDENED_MODE, SSLContextContainer.HardenedModeVHostItemExtension, SSLContextContainer.HardenedModeVHostItemExtensionProvider, SSLContextContainer.Root`

  ## Nested classes/interfaces inherited from class tigase.io.SSLContextContainerAbstract

  `SSLContextContainerAbstract.SSLHolder`

- ## Field Summary

  ### Fields inherited from class tigase.io.SSLContextContainer

  `eventBus, sslContexts, vHostManager`

  ### Fields inherited from interface tigase.io.SSLContextContainerIfc

  `ALLOW_INVALID_CERTS_KEY, ALLOW_INVALID_CERTS_VAL, ALLOW_SELF_SIGNED_CERTS_KEY, ALLOW_SELF_SIGNED_CERTS_VAL, CERT_ALIAS_KEY, CERT_SAVE_TO_DISK_KEY, DEFAULT_DOMAIN_CERT_KEY, DEFAULT_DOMAIN_CERT_VAL, JKS_KEYSTORE_FILE_KEY, JKS_KEYSTORE_FILE_VAL, JKS_KEYSTORE_PWD_KEY, JKS_KEYSTORE_PWD_VAL, PEM_CERTIFICATE_KEY, SERVER_CERTS_LOCATION_KEY, SERVER_CERTS_LOCATION_VAL, SSL_CONTAINER_CLASS_KEY, SSL_CONTAINER_CLASS_VAL, TRUSTED_CERTS_DIR_KEY, TRUSTED_CERTS_DIR_VAL, TRUSTSTORE_FILE_KEY, TRUSTSTORE_FILE_VAL, TRUSTSTORE_PWD_KEY, TRUSTSTORE_PWD_VAL`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Root()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `beforeUnregister()`
  Method called before bean unregister.
  `void`
  `initialize()`
  Method will be called, when bean will be created, configured and ready to use.
  `void`
  `setParent(SSLContextContainerIfc parent)`

  ### Methods inherited from class tigase.io.SSLContextContainer

  `createIoInterface, getEnabledCiphers, getEnabledProtocols, getSSLContext, getTrustStore, setEnabledCiphers, setEnabledProtocols, setEphemeralDHKeySize, setHardenedMode, setTlsJdkNssBugWorkaround, start, stop`

  ### Methods inherited from class tigase.io.SSLContextContainerAbstract

  `addCertificates, createCertificate, createContextHolder, createSSLContext, find, getDefCertAlias, getKeyManagers, getSSLContext, getTrustManagers`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface tigase.io.SSLContextContainerIfc

  `createIoInterface, getEnabledCiphers, getEnabledProtocols`

- ## Constructor Details

  - ### Root

    public Root()

- ## Method Details

  - ### beforeUnregister

    public void beforeUnregister()
    Description copied from interface: `UnregisterAware`
    Method called before bean unregister.
    Specified by:
      `beforeUnregister` in interface `UnregisterAware`

  - ### initialize

    public void initialize()
    Description copied from interface: `Initializable`
    Method will be called, when bean will be created, configured and ready to use.
    Specified by:
      `initialize` in interface `Initializable`
    Overrides:
      `initialize` in class `SSLContextContainer`

  - ### setParent

    public void setParent(SSLContextContainerIfc parent)
    Overrides:
      `setParent` in class `SSLContextContainer`